[Deprecated]: v4.0

get

/ec-ors-svc/rest/v4.0/studies/{studyId}/{mode}/shipments

Deprecated: Searches for shipments associated with a study by study ID. Rights: OrsInventoryGet, OrsUnblinded.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : ViewShipmentResponseV2
Type: object
Response object containing shipments.
Show Source
Nested Schema : shipments
Type: array
Show Source
Example:
[
    {
        "shipmentId":"B1B8327AFAA6412287106192AB5984EF",
        "siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
        "siteName":"Site Houston",
        "siteShortName":"st_hstn",
        "depotId":"D313327EF13845169A8ADADDA435431E",
        "depotName":"Depot Houston",
        "depotShortName":"dpt_hstn",
        "statusId":5,
        "shipmentNumber":"123",
        "createdDate":"2026-02-21T06:30:00Z",
        "shipDate":"2026-02-21T06:45:00Z",
        "trackingNumber":"12345",
        "reconciliation":true,
        "reportId":"E39FF55A445543A38D513325664F0B2D",
        "trackingNumberURL":"http://www.site.com"
    }
]
Nested Schema : ShipmentTO v2.0
Type: object
Title: ShipmentTO v2.0
Shipment details object.
Show Source
Example:
{
    "shipmentId":"B1B8327AFAA6412287106192AB5984EF",
    "siteId":"C36A3197FDEE433FB5547EE83DE99E4B",
    "siteName":"Site Houston",
    "siteShortName":"st_hstn",
    "depotId":"D313327EF13845169A8ADADDA435431E",
    "depotName":"Depot Houston",
    "depotShortName":"dpt_hstn",
    "statusId":5,
    "shipmentNumber":"123",
    "createdDate":"2026-02-21T06:30:00Z",
    "shipDate":"2026-02-21T06:45:00Z",
    "trackingNumber":"12345",
    "reconciliation":true,
    "reportId":"E39FF55A445543A38D513325664F0B2D",
    "trackingNumberURL":"http://www.site.com"
}
Examples

404 Response

'Invalid study ID', 'Study still in design phase'
Body ()
Root Schema : DesignerResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : DesignerResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Examples

Back to Top